package com.huiju.estateagents.job;

import com.huiju.estateagents.sample.service.ITaNoticeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 开屏通知定时任务
 */
@Slf4j
@Component
@Configuration
@EnableScheduling
public class NoticeTimeJob {

    @Autowired
    private ITaNoticeService taNoticeService;

    /**
     * 自动下架已过期的开屏通知
     */
    @Scheduled(cron = "* * */6 * * ?")
    public void updateStatusByInvalidTime() {
        log.info("updateStatusByInvalidTime 定时任务 开始");

        Integer result = taNoticeService.updateStatusByInvalidTime();

        log.info("updateStatusByInvalidTime 定时任务 结束,共更新{}条数据", result);
    }

}
